# Barry::Mode::JVMDebug Class Reference

`#include <m_jvmdebug.h>`

Inheritance diagram for Barry::Mode::JVMDebug:

[legend]
Collaboration diagram for Barry::Mode::JVMDebug:

[legend]

List of all members.

## Detailed Description

The main interface class to the java program debugger protocol.

To use this class, use the following steps:

- Create a Controller object (see Controller class for more details)
- Create this Mode::JVMDebug object, passing in the Controller object during construction
- Call Open() to open database socket and finish constructing.

Definition at line 126 of file m_jvmdebug.h.

## Public Member Functions

void | Attach ()
| These commands are sent to prepare the debug communication.
void | Detach ()
| Must be called at the end of a JVMDebug session.

## Member Function Documentation

void Barry::Mode::JVMDebug::Attach | ( |  | ) |

These commands are sent to prepare the debug communication.

Must be called at the start of a JVMDebug session.

Definition at line 233 of file m_jvmdebug.cc.

void Barry::Mode::JVMDebug::Detach | ( |  | ) |

Must be called at the end of a JVMDebug session.

The JVM_GOODBYE command is sent to the device.

Definition at line 243 of file m_jvmdebug.cc.

The documentation for this class was generated from the following files:

- m_jvmdebug.h
- m_jvmdebug.cc